#include <iostream.h>

// Fundamental idea of Euclid's algorithm (one of the oldest known algorithms)
// gcd(a,0) = a
// gcd(a,b) = gcd(b,a%b)

long long int gcd (long long int  a,long long int b) {
  long long int temp;
  while (b != 0) {
    temp = a % b;
    a = b;
    b = temp;
  }
  return(a);
}

int main () {
  long long int x, y, a;
  cout << "Enter two natural numbers: ";
  cin >> x >> y;
  cout << "gcd(" << x << ", " << y << ") = " << gcd(x,y) << endl;
  cin >> a;
  return(0);
}


